class pow::sudo {
  $POW_ROOT = "/Users/${id}/Library/Application Support/Pow"
  $POW_BIN = "${POW_ROOT}/Current/bin"

  $plist = "/Library/LaunchDaemons/cx.pow.firewall.plist"
  exec { "Configuring Launch Daemons":
    command     => "node ./pow --install-system",
    cwd         => $POW_BIN,
    path        => [$POW_BIN, '/usr/bin', '/usr/sbin'],
    environment => ["HOME=/Users/${id}", "LOGNAME=${id}"],
    creates     => $plist,
    notify      => [Exec["Configuring Pow Firewall"]],
  }

  exec { "Configuring Pow Firewall":
    command     => "/bin/launchctl load -Fw ${plist}",
    unless      => "/usr/bin/curl -s pow.dev -o /dev/null",
  }
}
